Advanced report - Error #326

Time log entries without related issue
2010-09-26 14:00 - walcker man

Status: Resolved Start date: 2010-12-20
Priority: Normal Due date: 2010-12-20
Assignee: Emilio Gonzalez Montafia % Done: 100%
Category: Reports Estimated time: 0.00 hour
Target version: 0.0.4

Source: Detected on version:

Description

First Thank you for the plugin, you have done a great job.
| receive the following error with some of the users. it happens because they create an issue that is not related to a task - which
sometimes is required in my project.

Processing AdvancedReportController#index (for 192.168.1.50 at 2010-09-20 14:06:11) [POST]
Parameters: {"selected_projects"=>["2"], "period"=>"all", "from"=>"2010-08-04", "selected_member

s"=>["14"], "action"=>"index", "authenticity_token"=>"GEDeMIORcozhZ jwAT2hEu3Fvnee5Mk8JzBcDh95fJw8=

", "to"=>"2010-09-19", "period_type"=>"1", "controller"=>"advanced_report"}

retrieve_date_range ()

NoMethodError (undefined method "subject' for nil:NilClass):
vendor/plugins/advanced_report/app/controllers/advanced_report_controller.rb:97:in "~ index'
vendor/plugins/advanced_report/app/controllers/advanced_report_controller.rb:97:in " sort'
vendor/plugins/advanced_report/app/controllers/advanced_report_controller.rb:97:in " index'
vendor/plugins/advanced_report/app/controllers/advanced_report_controller.rb:43:in “each’
vendor/plugins/advanced_report/app/controllers/advanced_report_controller.rb:43:in " index'
/usr/lib/ruby/1.8/mongrel/rails.rb:76:in “process'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in "~ synchronize'
/usr/lib/ruby/1.8/mongrel/rails.rb:74:in “process'

/usr/lib/ruby/1.8/mongrel.rb:159:in “process_client'
/usr/lib/ruby/1.8/mongrel.rb:158:in “each'
/usr/lib/ruby/1.8/mongrel.rb:158:in "process_client'
/usr/lib/ruby/1.8/mongrel.rb:285:in "“run’
/usr/lib/ruby/1.8/mongrel.rb:285:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:285:in "new'
/usr/lib/ruby/1.8/mongrel.rb:285:in "run'
/usr/lib/ruby/1.8/mongrel.rb:268:in “initialize'
/usr/lib/ruby/1.8/mongrel.rb:268:in " new'
/usr/lib/ruby/1.8/mongrel.rb:268:in "“run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:282:in “run'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in “each'
/usr/lib/ruby/1.8/mongrel/configurator.rb:281:in "run'
/usr/lib/ruby/1.8/mongrel/command.rb:212:in “run'

Rendering /opt/redmine/public/500.html (500 Internal Server Error)

Associated revisions

Revision 1017 - 2010-12-20 14:59 - Emilio Gonzalez Montaha
#326

e Fix error on time entries without related issue.

Revision 1019 - 2010-12-21 12:34 - Emilio Gonzalez Montana
#326

e Fix another error with the same problem.
#1 - 2010-12-09 18:10 - Emilio Gonzalez Montaina

When you say task, do you mean version? please give me more info.

#2 - 2010-12-09 18:11 - Emilio Gonzalez Montaina
- Category set to Reports

- Assignee deleted (Emilio Gonzalez Montana)

- Target version set to 0.0.4

- Start date deleted (2010-09-26)

#3 - 2010-12-12 17:19 - walcker man
- File Issues.jpg added

This is what i mean by Task, The Issue filed is just blank not related to a task. Now the users who creates such issues causes error with the plugin

Thanks

#4 - 2010-12-12 17:22 - walcker man
- File Issues.jpg added

Here it is

#5 - 2010-12-12 18:14 - Emilio Gonzalez Montaina
- File deleted (Issues.jpg)

#6 - 2010-12-12 18:17 - Emilio Gonzalez Montafa
- Tracker changed from Feature to Error

- Subject changed from Error with the plugin to Time log entries without related issue

The terms are completely incorrect, the problem is mgking a time log entry without related issue... I'll check it for the next release.

#7 - 2010-12-20 14:54 - Emilio Gonzalez Montaia
- Status changed from New to In progress
- Assignee set to Emilio Gonzéalez Montana

- Start date set to 2010-12-20

#8 - 2010-12-20 14:59 - Emilio Gonzalez Montaha
- Due date set to 2010-12-20
- Status changed from In progress to Resolved

- % Done changed from 0 to 100

Files
Issues.jpg 127 KB 2010-12-12 walcker man
